"""
Ticket
=================
"""
from jmb.core.conf import inject_app_defaults

inject_app_defaults(__name__)

from django.contrib.auth.models import Group

def create_default_groups(sender, **kwargs):
    group_manager, created = Group.objects.get_or_create(name='site manager')
    group_staff, created = Group.objects.get_or_create(name='site staff')

try:
    from django.db.models.signals import post_migrate
    post_migrate.connect(create_default_groups)
except Exception:
    from django.db.models.signals import post_syncdb
    post_syncdb.connect(create_default_groups)
