# -*- coding: utf-8 -*-

# import os
from django.utils.translation import ugettext_lazy as _
# TICKET_MEDIA_ROOT = getattr(settings, 'TICKET_MEDIA_ROOT', os.path.split(os.path.realpath(__file__))[0]+'/static/')
# TICKET_MEDIA_URL = getattr(settings, 'TICKET_MEDIA_URL', settings.MEDIA_URL + 'ticket/')

#######################
# TICKET SETTINGS     #
#######################

# From della mail che verra' usato quando non viene associato nessun progetto al ticket.
TICKET_GENERIC_MAIL_TICKET = "generic-ticket@dominio.it"

# Indirizzi Mail a cui vengono mandati i ticket che non vengono associati
# a nessun progetto e a nessuna organization.
# TICKET_MAIL_ADMIN = getattr(settings, 'TICKET_MAIL_ADMIN', ["mail1@dominio.it", "mail2@dominio.it",])
#
# TICKET_PATH_DOCUMENTS = getattr(settings, 'TICKET_PATH_DOCUMENTS', 'tickets/')
TICKET_TICKETPROJECT_PATH_ICON = 'tickets/icon/'

# SEND_MAIL = getattr(settings, 'SEND_MAIL', True)

# valore espresso in giorni oltre il quale l'assistenza non è più
# inseribile o modificabile dall'utente TicketUser
TICKET_LIMIT_INSERT_ASSISTANCE = None

# : Quesro stato non deve essere cambiato
TICKET_TICKET_STATUS_CODES = (
    (0, _('closed')),
    (1, _('open')),
)

# : Questi stati possono essere configurati
TICKET_TICKET_PROGRESS_STATUS_CODES = (
    (1, _("to be assigned")),
    (2, _("standby")),
    (3, _("waiting for input")),
    (4, _("not repeatable")),
    (5, _("won't fix")),
    (6, _("working")),
    (7, _("assigned")),
    (8, _("to discuss")),
)

TICKET_TICKET_PRIORITY_CODES = (
    (0, _('very urgent')),
    (1, _('urgent')),
    (2, _('important')),
    (3, _('normal')),
    (4, _('low')),
    (5, _('someday')),
)

TICKET_TICKETASSISTANCE_CARRYING = (
    ('com', _('company')),
    ('own', _('own')),
    ('cus', _('customer')),
    ('pub', _('public')),
    ('oth', _('other')),
)

# : Cambia la visibilità di default dei ticket nella ticket board
# : nella vista a calendario. Se ``True`` alla creazione di un plan
# : il ``to_be_planned`` viene messo a False ed il ticket viene
# : visto nella ticket board solo se viene spuntata la casella
# : mostra ticket pianificati.
TICKET_SINGLE_PLAN = True

# SERIALIZER PIÙ POTENTE
SERIALIZATION_MODULES = {
    'json': 'wadofstuff.django.serializers.json_reloaded'
}

# : Cambia la view di default
# : mese - settimana - giorno
# : month - agendaWeek - agendaDay
# : http://arshaw.com/fullcalendar/docs/views/Available_Views/
TICKET_CALENDAR_VIEW = 'agendaDay'
TICKET_TICKET_REVERSE_NAME = 'admin:ticket_ticketproject_change'

# : url della stampa plan
TICKET_PLAN_PRINT_REVERSE_NAME = 'admin:ticket_plan_pdf'

# : url della INVITATION
TICKET_PLAN_INVITATION_REVERSE_NAME = 'admin:ticket_plan_invitation'

# : booleano se inviare o no le email
TICKET_SEND_EMAIL = True

# : prefisso delle email
TICKET_SUBJECT_PREFIX = u"[Thunder Ticket]"

# : booleano se mostare le info del progetto
TICKET_SHOW_SUBJECT_INFO_PROJECT = True

# : Percorso della cartella di upload degli allegati
TICKET_PATH_ATTACHMENT = "tickets/%Y/%m/%W/"

# : Email di default che invia l invitation, se il contatto non ha mail
TICKET_ICS_DEFAULT_SENDER = "test@tickets.thux.it"

# : Giorni nascosti dal calendario (Sunday=0)
# : http://arshaw.com/fullcalendar/docs/display/hiddenDays/
TICKET_HIDDEN_DAYS = [0]
