# -*- coding: utf-8 -*-
from south.utils import datetime_utils as datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding field 'Plan.priority'
        db.add_column(u'ticket_plan', 'priority',
                      self.gf('django.db.models.fields.related.ForeignKey')(
                          blank=True, related_name='plans', to_field='priority', null=True, to=orm['ticket.Priority']),
                      keep_default=False)

    def backwards(self, orm):
        # Deleting field 'Plan.priority'
        db.delete_column(u'ticket_plan', 'priority_id')

    models = {
        u'address.addressscope': {
            'Meta': {'object_name': 'AddressScope'},
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'address_addressscope_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_invoice_address': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'is_shipping_address': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'address_addressscope_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100', 'db_index': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'max_length': '3', 'null': 'True'})
        },
        u'auth.group': {
            'Meta': {'object_name': 'Group'},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '80'}),
            'permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': u"orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'})
        },
        u'auth.permission': {
            'Meta': {'ordering': "(u'content_type__app_label', u'content_type__model', u'codename')", 'unique_together': "((u'content_type', u'codename'),)", 'object_name': 'Permission'},
            'codename': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'content_type': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['contenttypes.ContentType']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        u'auth.user': {
            'Meta': {'object_name': 'User'},
            'date_joined': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '75', 'blank': 'True'}),
            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'groups': ('django.db.models.fields.related.ManyToManyField', [], {'to': u"orm['auth.Group']", 'symmetrical': 'False', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_active': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'is_staff': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'is_superuser': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'last_login': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'password': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'user_permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': u"orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'}),
            'username': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '30'})
        },
        u'carriage.carriage': {
            'Meta': {'ordering': "('ordering', 'name')", 'object_name': 'Carriage'},
            'code': ('django.db.models.fields.CharField', [], {'max_length': '3'}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'carriage_carriage_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'carriage_carriage_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'slug': ('django.db.models.fields.SlugField', [], {'max_length': '50'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'max_length': '3', 'null': 'True'})
        },
        u'carriage.delivery': {
            'Meta': {'ordering': "('ordering', 'transport_by', 'carriage')", 'object_name': 'Delivery'},
            'carriage': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['carriage.Carriage']"}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'carriage_delivery_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'carriage_delivery_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'max_length': '3', 'null': 'True'}),
            'transport_by': ('django.db.models.fields.CharField', [], {'max_length': '3'})
        },
        u'contenttypes.contenttype': {
            'Meta': {'ordering': "('name',)", 'unique_together': "(('app_label', 'model'),)", 'object_name': 'ContentType', 'db_table': "'django_content_type'"},
            'app_label': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'model': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        u'currency.currency': {
            'Meta': {'ordering': "('ordering', 'code')", 'object_name': 'Currency'},
            'code': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '15'}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'currency_currency_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'currency_currency_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'slug': ('django.db.models.fields.SlugField', [], {'max_length': '100'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'max_length': '3', 'null': 'True'}),
            'symbol': ('django.db.models.fields.CharField', [], {'max_length': '3'})
        },
        u'i18n.language': {
            'Meta': {'ordering': "('name',)", 'object_name': 'Language'},
            'code': ('django.db.models.fields.CharField', [], {'max_length': '2'}),
            'country': ('django.db.models.fields.CharField', [], {'max_length': '20'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '20'}),
            'nationality': ('django.db.models.fields.CharField', [], {'max_length': '20'})
        },
        u'l10n.country': {
            'Meta': {'ordering': "('name',)", 'object_name': 'Country'},
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'admin_area': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '2', 'null': 'True', 'blank': 'True'}),
            'continent': ('django.db.models.fields.CharField', [], {'max_length': '2'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'iso2_code': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '2', 'db_index': 'True'}),
            'iso3_code': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '3'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '128', 'db_index': 'True'}),
            'numcode': ('django.db.models.fields.PositiveSmallIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'printable_name': ('django.db.models.fields.CharField', [], {'max_length': '128', 'db_index': 'True'})
        },
        u'office.office': {
            'Meta': {'object_name': 'Office'},
            'code': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '15'}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'office_office_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'fax': ('django.db.models.fields.CharField', [], {'max_length': '20'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'office_office_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '50'}),
            'phone': ('django.db.models.fields.CharField', [], {'max_length': '20'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'max_length': '3', 'null': 'True'})
        },
        u'organization.contact': {
            'Meta': {'ordering': "['ordering', 'last_name', 'first_name']", 'object_name': 'Contact'},
            'code': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '15', 'null': 'True', 'blank': 'True'}),
            'contact_groups': ('django.db.models.fields.related.ManyToManyField', [], {'related_name': "'contacts'", 'to': u"orm['organization.OrganizationGroup']", 'blank': 'True', 'symmetrical': 'False', 'null': 'True', 'db_index': 'True'}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'organization_contact_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'default': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'fax': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'in_addressbook': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'language': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['i18n.Language']", 'null': 'True', 'blank': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'organization_contact_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'mobile': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'note': ('django.db.models.fields.TextField', [], {'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'organization': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'contacts'", 'null': 'True', 'to': u"orm['organization.Organization']"}),
            'phone': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'photo': ('django.db.models.fields.files.ImageField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'role': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'contacts'", 'null': 'True', 'to': u"orm['organization.ContactRole']"}),
            'send_ddt_by_email': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'send_invoice_by_email': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'send_procedure_by_email': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'send_quotation_by_email': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'max_length': '3', 'null': 'True'}),
            'title': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'contacts'", 'null': 'True', 'to': u"orm['organization.ContactTitle']"}),
            'user': ('django.db.models.fields.related.OneToOneField', [], {'blank': 'True', 'related_name': "'contact'", 'unique': 'True', 'null': 'True', 'to': u"orm['auth.User']"})
        },
        u'organization.contactrole': {
            'Meta': {'ordering': "('name',)", 'object_name': 'ContactRole'},
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'organization_contactrole_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'organization_contactrole_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100', 'db_index': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'max_length': '3', 'null': 'True'})
        },
        u'organization.contacttitle': {
            'Meta': {'ordering': "('name',)", 'object_name': 'ContactTitle'},
            'abbreviation': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '10'}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'organization_contacttitle_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'organization_contacttitle_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100', 'db_index': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'max_length': '3', 'null': 'True'})
        },
        u'organization.field': {
            'Meta': {'object_name': 'Field'},
            'code': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '15', 'db_index': 'True'}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'organization_field_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'organization_field_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100', 'db_index': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'max_length': '3', 'null': 'True'})
        },
        u'organization.organization': {
            'Meta': {'ordering': "['name']", 'unique_together': "(('vat_number', 'ssn', 'organization_type'),)", 'object_name': 'Organization'},
            'brand': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'code': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '15', 'db_index': 'True'}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'organization_organization_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'currency': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'organizations'", 'null': 'True', 'to': u"orm['currency.Currency']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'delivery': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'organizations'", 'null': 'True', 'to': u"orm['carriage.Delivery']"}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'fax': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'field': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'organizations'", 'null': 'True', 'to': u"orm['organization.Field']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'organization_organization_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100', 'db_index': 'True'}),
            'note': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'office': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'organizations'", 'null': 'True', 'to': u"orm['office.Office']"}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'organization_form': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'organizations'", 'to': u"orm['organization.OrganizationForm']"}),
            'organization_groups': ('django.db.models.fields.related.ManyToManyField', [], {'related_name': "'organizations'", 'to': u"orm['organization.OrganizationGroup']", 'blank': 'True', 'symmetrical': 'False', 'null': 'True', 'db_index': 'True'}),
            'organization_type': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'organizations'", 'to': u"orm['organization.OrganizationType']"}),
            'payment_form': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'organizations'", 'null': 'True', 'to': u"orm['payment.PaymentForm']"}),
            'phone': ('django.db.models.fields.CharField', [], {'max_length': '20'}),
            'phone2': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'ssn': ('django.db.models.fields.CharField', [], {'max_length': '16', 'null': 'True', 'db_index': 'True'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'max_length': '3', 'null': 'True'}),
            'url': ('django.db.models.fields.URLField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'vat': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'organizations'", 'null': 'True', 'to': u"orm['vat.Vat']"}),
            'vat_number': ('django.db.models.fields.CharField', [], {'max_length': '14', 'null': 'True', 'db_index': 'True'})
        },
        u'organization.organizationaddress': {
            'Meta': {'object_name': 'OrganizationAddress'},
            'address_scopes': ('django.db.models.fields.related.ManyToManyField', [], {'to': u"orm['address.AddressScope']", 'db_index': 'True', 'symmetrical': 'False'}),
            'address_type': ('django.db.models.fields.IntegerField', [], {'default': '7', 'null': 'True', 'db_index': 'True', 'blank': 'True'}),
            'country': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['l10n.Country']"}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'organization_organizationaddress_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'crossed': ('django.db.models.fields.CharField', [], {'max_length': '5', 'null': 'True', 'blank': 'True'}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'floor': ('django.db.models.fields.CharField', [], {'max_length': '3', 'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'organization_organizationaddress_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'locality': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100', 'db_index': 'True'}),
            'note': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'number': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True', 'db_column': "'anumber'", 'blank': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'org_name': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'organization': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'addresses'", 'to': u"orm['organization.Organization']"}),
            'post_office': ('django.db.models.fields.CharField', [], {'max_length': '10', 'null': 'True', 'blank': 'True'}),
            'province': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '2', 'null': 'True', 'blank': 'True'}),
            'scale': ('django.db.models.fields.CharField', [], {'max_length': '5', 'null': 'True', 'blank': 'True'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'max_length': '3', 'null': 'True'}),
            'zip_code': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '20', 'null': 'True', 'blank': 'True'})
        },
        u'organization.organizationform': {
            'Meta': {'ordering': "('ordering', 'name')", 'object_name': 'OrganizationForm'},
            'code': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '15', 'db_index': 'True'}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'organization_organizationform_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'organization_organizationform_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100', 'db_index': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'max_length': '3', 'null': 'True'})
        },
        u'organization.organizationgroup': {
            'Meta': {'object_name': 'OrganizationGroup'},
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'organization_organizationgroup_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'organization_organizationgroup_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100', 'db_index': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'max_length': '3', 'null': 'True'})
        },
        u'organization.organizationtype': {
            'Meta': {'ordering': "('ordering', 'name')", 'object_name': 'OrganizationType'},
            'category': ('django.db.models.fields.CharField', [], {'max_length': '15', 'db_index': 'True'}),
            'code': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '15', 'db_index': 'True'}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'organization_organizationtype_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'organization_organizationtype_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100', 'db_index': 'True'}),
            'note': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'max_length': '3', 'null': 'True'})
        },
        u'payment.paymentform': {
            'Meta': {'ordering': "('code',)", 'object_name': 'PaymentForm'},
            'code': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '25', 'db_index': 'True'}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'payment_paymentform_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'discount': ('django.db.models.fields.DecimalField', [], {'default': '0', 'max_digits': '9', 'decimal_places': '2'}),
            'fee': ('django.db.models.fields.DecimalField', [], {'default': '0', 'max_digits': '9', 'decimal_places': '2'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'payment_paymentform_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100', 'db_index': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'max_length': '3', 'null': 'True'})
        },
        u'project.project': {
            'Meta': {'object_name': 'Project'},
            'accepted': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'db_index': 'True'}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'project_project_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_end': ('django.db.models.fields.DateField', [], {'db_index': 'True', 'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_start': ('django.db.models.fields.DateField', [], {'default': 'datetime.date.today', 'db_index': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'project_project_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '200', 'db_index': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'organization': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'projects'", 'null': 'True', 'to': u"orm['organization.Organization']"}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'max_length': '3', 'null': 'True'})
        },
        u'ticket.category': {
            'Meta': {'object_name': 'Category'},
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'ticket_category_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'description': ('jmb.core.db.fields.HTMLFieldTinyMCE', [], {'null': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'ticket_category_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '30'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'max_length': '3', 'null': 'True'})
        },
        u'ticket.categorytranslation': {
            'Meta': {'unique_together': "(('category', 'language'),)", 'object_name': 'CategoryTranslation'},
            'category': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'translations'", 'to': u"orm['ticket.Category']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'language': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "u'ticket_categorytranslation_translations'", 'to': u"orm['i18n.Language']"}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '30'})
        },
        u'ticket.log': {
            'Meta': {'object_name': 'Log'},
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'ticket_log_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'field': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'ticket_log_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'new_value': ('django.db.models.fields.TextField', [], {}),
            'old_value': ('django.db.models.fields.TextField', [], {}),
            'ticket': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'logs'", 'to': u"orm['ticket.Ticket']"})
        },
        u'ticket.plan': {
            'Meta': {'object_name': 'Plan'},
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'ticket_plan_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_begin': ('django.db.models.fields.DateTimeField', [], {'db_index': 'True', 'null': 'True', 'blank': 'True'}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_end': ('django.db.models.fields.DateTimeField', [], {'db_index': 'True', 'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'description': ('jmb.core.db.fields.HTMLFieldTinyMCE', [], {'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'ticket_plan_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'priority': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'plans'", 'to_field': "'priority'", 'null': 'True', 'to': u"orm['ticket.Priority']"}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1'}),
            'ticket': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'plans'", 'to': u"orm['ticket.Ticket']"}),
            'workers': ('django.db.models.fields.related.ManyToManyField', [], {'related_name': "'plans'", 'to': u"orm['organization.Contact']", 'blank': 'True', 'symmetrical': 'False', 'null': 'True', 'db_index': 'True'})
        },
        u'ticket.priority': {
            'Meta': {'ordering': "['priority']", 'object_name': 'Priority'},
            'color': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'color_text': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'ticket_priority_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'ticket_priority_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'priority': ('django.db.models.fields.IntegerField', [], {'unique': 'True'})
        },
        u'ticket.ticket': {
            'Meta': {'object_name': 'Ticket'},
            'address': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'tickets'", 'null': 'True', 'to': u"orm['organization.OrganizationAddress']"}),
            'assigned_by': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'tickets_assigned_by_me'", 'null': 'True', 'to': u"orm['organization.Contact']"}),
            'assigned_to': ('django.db.models.fields.related.ManyToManyField', [], {'related_name': "'tickets_assigned_to_me'", 'to': u"orm['organization.Contact']", 'blank': 'True', 'symmetrical': 'False', 'null': 'True', 'db_index': 'True'}),
            'category': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'tickets'", 'null': 'True', 'to': u"orm['ticket.Category']"}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'ticket_ticket_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'deadline': ('django.db.models.fields.DateField', [], {'null': 'True', 'blank': 'True'}),
            'description': ('jmb.core.db.fields.HTMLFieldTinyMCE', [], {}),
            'duration': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'keywords': ('django.db.models.fields.CharField', [], {'max_length': '150', 'null': 'True', 'blank': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'ticket_ticket_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'note': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'organization': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'tickets'", 'null': 'True', 'to': u"orm['organization.Organization']"}),
            'priority': ('django.db.models.fields.related.ForeignKey', [], {'default': '1', 'related_name': "'tickets'", 'to_field': "'priority'", 'to': u"orm['ticket.Priority']"}),
            'progress_status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'null': 'True'}),
            'project': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'tickets'", 'null': 'True', 'to': u"orm['ticket.TicketProject']"}),
            'public': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1'}),
            'submitter': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'tickets_summitted'", 'to': u"orm['organization.Contact']"}),
            'title': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'to_be_planned': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'triggerline': ('django.db.models.fields.DateField', [], {'default': 'datetime.date.today', 'null': 'True', 'blank': 'True'}),
            'typology': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'tickets'", 'null': 'True', 'to': u"orm['ticket.Typology']"})
        },
        u'ticket.ticketassistance': {
            'Meta': {'object_name': 'TicketAssistance'},
            'carrying': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '3', 'null': 'True', 'blank': 'True'}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'ticket_ticketassistance_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_begin': ('django.db.models.fields.DateTimeField', [], {'db_index': 'True', 'null': 'True', 'blank': 'True'}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_end': ('django.db.models.fields.DateTimeField', [], {'db_index': 'True', 'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'extra_duration': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'job_description': ('jmb.core.db.fields.HTMLFieldTinyMCE', [], {'null': 'True', 'blank': 'True'}),
            'kilometers': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'ticket_ticketassistance_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'overnight_stay': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'pay_exit': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'db_index': 'True'}),
            'procedure': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'db_index': 'True'}),
            'ticket': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'assistances'", 'to': u"orm['ticket.Ticket']"}),
            'travel_duration': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'work_duration': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'worker': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'assistances'", 'to': u"orm['organization.Contact']"})
        },
        u'ticket.ticketattachment': {
            'Meta': {'object_name': 'TicketAttachment'},
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'ticket_ticketattachment_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'description': ('django.db.models.fields.CharField', [], {'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'file': ('django.db.models.fields.files.FileField', [], {'max_length': '100'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'ticket_ticketattachment_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'max_length': '3', 'null': 'True'}),
            'ticket': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'attachments'", 'to': u"orm['ticket.Ticket']"})
        },
        u'ticket.ticketproject': {
            'Meta': {'ordering': "['name']", 'object_name': 'TicketProject', '_ormbases': [u'project.Project']},
            'address': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'ticket_projects'", 'null': 'True', 'to': u"orm['organization.OrganizationAddress']"}),
            'assistance_email': ('django.db.models.fields.EmailField', [], {'max_length': '75', 'null': 'True', 'blank': 'True'}),
            'customers': ('django.db.models.fields.related.ManyToManyField', [], {'related_name': "'visible_ticketprojects'", 'symmetrical': 'False', 'to': u"orm['organization.Contact']"}),
            'icon': ('django.db.models.fields.files.ImageField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'managers': ('django.db.models.fields.related.ManyToManyField', [], {'related_name': "'managed_ticketprojects'", 'symmetrical': 'False', 'to': u"orm['organization.Contact']"}),
            u'project_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': u"orm['project.Project']", 'unique': 'True', 'primary_key': 'True'}),
            'staff': ('django.db.models.fields.related.ManyToManyField', [], {'related_name': "'assigned_ticketprojects'", 'symmetrical': 'False', 'to': u"orm['organization.Contact']"})
        },
        u'ticket.typology': {
            'Meta': {'object_name': 'Typology'},
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'ticket_typology_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'description': ('jmb.core.db.fields.HTMLFieldTinyMCE', [], {'null': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'ticket_typology_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '30'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'max_length': '3', 'null': 'True'})
        },
        u'ticket.typologytranslation': {
            'Meta': {'unique_together': "(('typology', 'language'),)", 'object_name': 'TypologyTranslation'},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'language': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "u'ticket_typologytranslation_translations'", 'to': u"orm['i18n.Language']"}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '30'}),
            'typology': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'translations'", 'to': u"orm['ticket.Typology']"})
        },
        u'vat.vat': {
            'Meta': {'ordering': "('ordering', 'name')", 'object_name': 'Vat'},
            'aliquot_perc': ('django.db.models.fields.DecimalField', [], {'default': '0', 'max_digits': '4', 'decimal_places': '2'}),
            'code': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '15'}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'vat_vat_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'deduct_perc': ('django.db.models.fields.DecimalField', [], {'default': '0', 'max_digits': '4', 'decimal_places': '2'}),
            'description': ('django.db.models.fields.TextField', [], {'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'vat_vat_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'slug': ('django.db.models.fields.SlugField', [], {'max_length': '200'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'max_length': '3', 'null': 'True'})
        }
    }

    complete_apps = ['ticket']
