from django import template
from jmb.ticket.models import Ticket

register = template.Library()

@register.inclusion_tag('admin/ticket/submit_line2.html', takes_context=True)
def submit_row_ticket(context):
    """
    Displays the row of buttons for delete and save.
    """
    opts = context['opts']
    change = context['change']
    is_popup = context['is_popup']
    save_as = context['save_as']
    try:
        onclick_attrib = (opts.get_ordered_objects() and change
                          and 'onclick="submitOrderForm();"' or '')
    except AttributeError:
        onclick_attrib = False
        ## Django 1.6 does not have this parameter anymore
    ctx = {
        'opts': opts,
        'onclick_attrib': onclick_attrib,
        'show_delete_link': (not is_popup and context['has_delete_permission']
                             and change and context.get('show_delete', True)),
        'show_save_as_new':  change and save_as,
        'show_save_and_add_another': context['has_add_permission'] and
        not is_popup and (not save_as or context['add']),
        'show_save_and_continue': context['has_change_permission'],
        'is_popup': is_popup,
        'show_save': True
    }
    if context.get('original') is not None:
        ctx['original'] = context['original']
    return ctx

@register.filter(name='get_ticket_notes')
def get_ticket_notes(GET):
    tk = GET if isinstance(GET, int) else GET.get('ticket')
    if tk:
        return u"<b>Ticket notes</b>: {}".format(Ticket.objects.get(pk=tk).organization.note)
    else:
        return ''
