# -*- coding: utf-8 -*-
"""
helper module for jmb.ticket
"""
import os
import sys
import email


from django.core.files.base import ContentFile

from jmb.core.middleware.thread_local import get_current_user
from . import models

# Contact puo` essere sovrascritto Come in Cogema, per fare
# che i contatti di Comega possano vedere/inserire progetti
# nei quali non sono presenti

from jmb.ticket import models  # NON importare solo Contact!!!

def get_current_contact(user=None):
    """
    Return a tuple (user, contact) as stored in current thread
    """
    contact = None
    try:
        user = user or get_current_user()
        contact = models.Contact.objects.get(user_id=user.id)
    except Exception, e:
        pass
    return user, contact


def parse_email_and_save_attachments(ticket_id, txt=None, filename=None):
    """
    Parse an email and save all attachments as TicketAttachments of the ticket
    that is the recipient of the email

    :arg ticket: the ticket to which documents will be attached
    :arg txt: the mail is passed as text (as received from postfix)
    :arg filename: the filename containing the attachment(s)
    :return: a tuple: (msg, ticket)
    """

    if filename:
        msg = email.message_from_file(open(filename))
    else:
        msg = email.message_from_string(txt)

    tk = models.Ticket.all_objects.get(pk=ticket_id)
    for payload in msg.get_payload()[1:]:  # il primo e` il testo del corpo della mail
        tk_att = get_attachment_from_string(payload, tk)

    return (msg, tk)

def get_attachment_from_string(payload, ticket):
    """
    return a TicketAttachment 

    :arg txt: payload of the attachment
    :arg ticket: the ticket this attachment belongs to
    """
    tk_att = models.TicketAttachment()
    tk_att.ticket = ticket
    tk_att.file.save(payload.get_filename(), ContentFile(
        payload.get_payload(decode=True)), save=True)
    # Operation is normally executed within postfix as user 'mail' and mod 600
    os.chmod(tk_att.file.path, 0666)

    return tk_att
